# Trigger run the DWH Integration workflow.

Endpoint: PUT /v1/dwh/{dwh_id}/run_workflow
Version: 1.0.0
Security: apiKey

## Security:

  - `apiKey` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `dwh_id` (integer, required)
    The ID of the DWH Integration.

## Response 200:

  - `200` (unknown)
    See the response of `GET /api/attempts` https://docs.digdag.io/api/ for more info

## Response 200 fields (application/json):

  - `status` (string)

  - `id` (string)

  - `index` (integer)

  - `project` (object)

  - `project.id` (string)

  - `project.name` (string)

  - `workflow` (object)

  - `workflow.name` (string)

  - `workflow.id` (string)

  - `sessionId` (string)

  - `sessionUuid` (string)

  - `sessionTime` (string)

  - `retryAttemptName` (string)

  - `done` (boolean)

  - `success` (boolean)

  - `cancelRequested` (boolean)

  - `createdAt` (string)

  - `finishedAt` (string)

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    The HTTP status code

  - `error.title` (string)
    The error title

  - `error.message` (any)
    The error message

  - `error.detail` (object)
    Any extra infomation of the error

## Response 401:

  - `401` (unknown)
    Bad Request

## Response 401 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    The HTTP status code

  - `error.title` (string)
    The error title

  - `error.message` (any)
    The error message

  - `error.detail` (object)
    Any extra infomation of the error

## Response 403:

  - `403` (unknown)
    Unauthorized

## Response 403 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    The HTTP status code

  - `error.title` (string)
    The error title

  - `error.message` (any)
    The error message

  - `error.detail` (object)
    Any extra infomation of the error

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    The HTTP status code

  - `error.title` (string)
    The error title

  - `error.message` (any)
    The error message

  - `error.detail` (object)
    Any extra infomation of the error

## Response 500:

  - `500` (unknown)
    Server Error

## Response 500 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    The HTTP status code

  - `error.title` (string)
    The error title

  - `error.message` (any)
    The error message

  - `error.detail` (object)
    Any extra infomation of the error

